Bug 14329 - Useless copy/paste from Template::Plugin::HtmlToText
Summary: Useless copy/paste from Template::Plugin::HtmlToText
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: master
Hardware: All All
: P5 - low trivial (vote)
Assignee: Marcel de Rooy
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2015-06-04 10:04 UTC by Marcel de Rooy
Modified: 2016-12-05 21:23 UTC (History)
5 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 14329: Useless copy/pasta from Template::Plugin::HtmlToText (3.03 KB, patch)
2015-06-04 10:06 UTC, Marcel de Rooy
Details | Diff | Splinter Review
Bug 14329: Useless copy/pasta from Template::Plugin::HtmlToText (3.25 KB, patch)
2015-06-05 17:34 UTC, M. Tompsett
Details | Diff | Splinter Review
Bug 14329: Useless copy/pasta from Template::Plugin::HtmlToText (3.25 KB, patch)
2015-06-06 16:29 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Marcel de Rooy 2015-06-04 10:04:29 UTC
The synopsis of this TT plugin contains two example lines:
[% myhtml FILTER html2text(leftmargin => 0, rightmargin => 0) %]
[% myhtmltext | html2text %]

These lines have been copied (without too much thought :) to a few templates. Since we do no use the variables myhtml or myhtmltext in these templates, these lines are useless.
Comment 1 Marcel de Rooy 2015-06-04 10:06:57 UTC Comment hidden (obsolete)
Comment 2 M. Tompsett 2015-06-05 17:34:25 UTC Comment hidden (obsolete)
Comment 3 Katrin Fischer 2015-06-06 16:29:14 UTC
Created attachment 39940 [details] [review]
Bug 14329: Useless copy/pasta from Template::Plugin::HtmlToText

The synopsis of this TT plugin contains two example lines:
[% myhtml FILTER html2text(leftmargin => 0, rightmargin => 0) %]
[% myhtmltext | html2text %]

These lines have been copied (without too much thought :) to a few templates. Since we do no use the variables myhtml or myhtmltext in these templates, these lines are useless.

Test plan:
[1] Put some items in your cart. And send it.
[2] Send a shelf.
[3] Git grep on myhtml. Should not have results.

NOTE: Sent carts and lists in Intranet and OPAC successfully.
      Though, this does bring into question why the letters
      have HTML formatting if it is getting removed. That,
      however, is beyond the scope of this bug.

Signed-off-by: Mark Tompsett <mtompset@hotmail.com>
Comment 4 Tomás Cohen Arazi 2015-06-08 14:09:05 UTC
Patch pushed to master.

Thanks Marcel!
Comment 5 Chris Cormack 2015-06-08 20:26:04 UTC
Pushed to 3.20.x will be in 3.20.1
Comment 6 Liz Rea 2015-06-22 22:43:32 UTC
Patch pushed to 3.18.x will be in 3.18.08
Comment 7 Mason James 2015-07-25 10:19:32 UTC
Pushed to 3.16.x, will be in 3.16.13